#!/usr/local/bin/perl
#
$usg = "mmcat:	Cat files in the cache. A libmm sample program.
Usage:	mmcat <wwfs-files...>
Example:
	root# ./mmcat.pl /NetBSD/src/sys/net/if_types.h
";
#
# If WW is the right side, MM is the dark side.
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#

require '/etc/csd.pl';
unshift(@INC, "$WWFSDIR/lib");
require 'libmm.pl';

if ($#ARGV < $[) {
    die $usg;
}

foreach $path (@ARGV) {
  &mm'open(*FILE, "< $path") || die $!;
  $buf = "";
  while (read(FILE, $buf, 4096)) {
	print $buf;
  }
  close(FILE);
}
