#!/usr/local/bin/perl
#
$usg = "fstoc:	Convert filesystem pathname to cache pathname.
	It runs only on the host running csd.
Usage:	fstoc <wwfs-pathnames...>
Example:
	root# ./fstoc.pl /NetBSD/src/sys/net
	/work3/wwfs/cache/67/dir/1b
";
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#
require '/etc/csd.pl';
unshift(@INC, "$WWFSDIR/lib");
require 'libmm.pl';

if ($#ARGV < $[) {
    die $usg;
}

foreach $i (@ARGV) {
    $cpath = &mm'fstoc($i, $mm'S_IFDIR);
    if (!defined($cpath)) {
	print $mm'error;
    } else {
	print $cpath, "\n";
    }
}
