#!/bin/sh
#
# report.sh - dispatch traces everyday to wwfs-stat@ecip.osaka-u.ac.jp.
# obsolete.
# Author: Youki Kadobayashi <youki@wide.ad.jp>
# This file is part of WWFS.
#
PATH=/usr/ucb:/bin:/usr/bin:/usr/local/bin; export PATH

rm -f /tmp/wwcsd_report$$
echo "X-Trace-Site: $2" > /tmp/wwcsd_report$$
echo "X-Trace-Version: 5" >> /tmp/wwcsd_report$$
echo "X-Trace-Filename: \"$1\"" >> /tmp/wwcsd_report$$
if [ ! -f $1 ]; then
	echo "X-Trace-Status: No such file or directory" >> /tmp/wwcsd_report$$
else
	echo "X-Trace-Status: OK" >> /tmp/wwcsd_report$$
fi
echo "" >> /tmp/wwcsd_report$$
compress $1
uuencode $1.Z `basename $1.Z` >> /tmp/wwcsd_report$$
mail wwfs-stat@ecip.osaka-u.ac.jp < /tmp/wwcsd_report$$
rm -f /tmp/wwcsd_report$$ $1.Z

